<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
use yii\helpers\Url;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */
/* @var $searchModel mdm\admin\models\searchs\Assignment */
/* @var $usernameField string */
/* @var $extraColumns string[] */

$this->title = Yii::t('rbac-admin', 'Assignments');
$this->params['breadcrumbs'][] = $this->title;

$columns = [
    ['class' => 'yii\grid\SerialColumn'],
    $usernameField,
];
if (!empty($extraColumns)) {
    $columns = array_merge($columns, $extraColumns);
}
$columns[] = [
    'class' => 'yii\grid\ActionColumn',
    'template' => '{view}'
];
?>
<div class="app-main__inner">
                <div class="card no-shadow bg-transparent no-border rm-borders mb-3">
                            <div class="card">
                                <div class="no-gutters row">
                                    <div class="col-md-12 col-lg-12">
                                        <ul class="list-group list-group-flush">
                                            <li class="bg-transparent list-group-item">
                                                <div class="widget-content p-0">
                                                    <div class="widget-content-outer">
                                                        <div class="widget-content-wrapper">
                                                            <div class="widget-content-left">
                                                                <div class="widget-numbers dj-text-success">Assignments</div>
                                                            </div>
                                                            <div class="widget-content-right">
                                                                <div class="djsec-text-right dj-print-sec">
                                                                       
                                                                    
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                          
                                        </ul>
                                    </div> 
                                </div>
                            </div>
                        </div>
                        
                          <div class="main-card mb-3 card">
                        <div class="card-body">
                       <?php Pjax::begin(); ?>
                                <?=
                                    GridView::widget([
                                        'dataProvider' => $dataProvider,
                                        'filterModel' => $searchModel,
                                         'columns' => [
                                            ['class' => 'yii\grid\SerialColumn'],
                                            $usernameField,
                                        [
                                        'label' => 'Action',
                                        // 'attribute' => 'username',
                                        'headerOptions' => ['style' => 'color:#495057'],
                                        'format'=>'raw',
                                        'contentOptions'=>[ 'style'=>'width: 35px'],
                                        'value' => function ($data) {
                                            return '<div class="d-inline-block dropdown">
                                    <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                        <ul class="nav flex-column">
                                            <li class="nav-item">
                                                <a class="nav-link" href='.Url::base().'/admin/assignment/view?id='.$data->id.' data-method=post>
                                                   <i class="fa fa-eye"></i>
                                                    <span class="dj-icon-gap">  View</span>
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>';
                                        },
                                    ],
                                ]
                                    ]);
                                ?>
                        <?php Pjax::end(); ?>            
                        </div>
                    </div>
                </div>


<?php ob_start();?>
 <script type="text/javascript">
$(function() {

});
</script>
<?php $this->registerJs(preg_replace('~^\s*<script.*>|</script>\s*$~ U', '', ob_get_clean()))?>
