<?php
    use yii\helpers\Url;
?>
<!-- <link rel="stylesheet" href="<?=Url::base();?>/theme/dj/jquery.dataTables.min.css"> -->
<!-- <link rel="stylesheet" href="https://cdn.datatables.net/select/1.3.3/css/select.dataTables.min.css"> -->
<!-- <script src="https://code.jquery.com/jquery-3.5.1.js"></script> -->
<!-- <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script> -->
<?php

use mdm\admin\AnimateAsset;
use mdm\admin\components\ItemController;
use mdm\admin\models\AuthItem;
use yii\helpers\Html;
use yii\helpers\Json;
use yii\web\View;
use yii\web\YiiAsset;
use yii\widgets\DetailView;

/* @var $this View */
/* @var $model AuthItem */
/* @var $context ItemController */
$context = $this->context;
$labels = $context->labels();
$this->title = "Manage Different Access";
$this->params['breadcrumbs'][] = ['label' => Yii::t('rbac-admin', $labels['Items']), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

AnimateAsset::register($this);
YiiAsset::register($this);
$opts = Json::htmlEncode([
        'items' => $model->getItems(),
        'users' => $model->getUsers(),
        'getUserUrl' => Url::to(['get-users', 'id' => $model->name])
    ]);
$this->registerJs("var _opts = {$opts};");
$this->registerJs($this->render('_script.js'));
$animateIcon = ' <i class="glyphicon glyphicon-refresh glyphicon-refresh-animate"></i>';
?>

<div class="app-main__inner">
    <div class="card no-shadow bg-transparent no-border rm-borders mb-3">
                            <div class="card">
                                <div class="no-gutters row">
                                    <div class="col-md-12 col-lg-12">
                                        <ul class="list-group list-group-flush">
                                            <li class="bg-transparent list-group-item">
                                                <div class="widget-content p-0">
                                                    <div class="widget-content-outer">
                                                        <div class="widget-content-wrapper">
                                                            <div class="widget-content-left">
                                                                
                                                                <div class="widget-numbers dj-text-success">Roles</div>
                                                               
                                                            </div>
                                                            <div class="widget-content-right">
                                                                <a href="<?=Url::base();?>/admin/role/index" class="dj-danger-btn"><i class="fa fa-chevron-circle-left" aria-hidden="true"></i> Back</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                          
                                        </ul>
                                    </div>
                                   
                                    
                                </div>
                            </div>
                        </div>
<div class="auth-item-view ">

    <div class="row">
        <div class="col-sm-12">
            <?=
            DetailView::widget([
                'model' => $model,
                'attributes' => [
                    'name',
                    // 'description:ntext',
                    // 'ruleName',
                    // 'data:ntext',
                ],
                'template' => '<tr><th style="width:25%">{label}</th><td>{value}</td></tr>',
            ]);
            ?>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <table id=datatable class="table table-striped table-bordered">
                <tbody>
                    <tr>
                        <th><?= Yii::t('rbac-admin', 'Assigned users'); ?></th>
                    </tr>
                    <tr>
                        <td id="list-users"></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    <form id='roleform' method=post action='assign?id=<?=$model->name?>'>
    <table id="dtable" class="table  table-striped table-bordered">
    <thead>
    <tr><th></th><th>Modules</th><th><input class="create top_create" type=checkbox > Create & Update</th><th><input class="view top_view" type=checkbox > View</th><th><input class="delete top_delete" type=checkbox > Delete</th><th><input class="export top_export" type=checkbox > Export</th><th><input class="pdf top_pdf" type=checkbox > Pdf</th><th><input class="pdf top_others" type=checkbox > Other Actions</th></tr>
</thead>
<tbody>


 <?php if($model->name=='Admin'){?>



            <tr><td><input type="checkbox" id="customeradd" class="select_index" name="role[]" value="/master/customer/index" <?=in_array("/master/customer/index",$authchild)?'checked':''?>></td><td>Customer</td><td><input type="checkbox" id="customeradd" class="select_any createpage foredit" name="role[]" value="/master/customer/create" <?=in_array("/master/customer/create",$authchild)?'checked':''?>><br><input type="checkbox"  id="customeredit" hidden="true" class="select_any createpage" name="role[]" value="/master/customer/update" <?=in_array("/master/customer/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="customerview" class="select_any viewpage" name="role[]" value="/master/customer/view" <?=in_array("/master/customer/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="customerdelete" class="select_any deletepage" name="role[]" value="/master/customer/delete" <?=in_array("/master/customer/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="customerexport" class="select_any exportpage" name="role[]" value="/master/customer/excel-export" <?=in_array("/master/customer/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="customerpdf" class="select_any pdfpage" name="role[]" value="/master/customer/export-pdf" <?=in_array("/master/customer/export-pdf",$authchild)?'checked':''?>></td>
                <td><input type="checkbox" id="customerattachemnt" class="select_any otherpage forall" name="role[]" value="/master/customer/findattachments" <?=in_array("/master/customer/findattachments",$authchild)?'checked':''?>></td></tr>

         <tr><td><input type="checkbox" class="select_index" id="customertypeindex" name="role[]" value="/master/customer-type/index" <?=in_array("/master/customer-type/index",$authchild)?'checked':''?>></td><td>Customer Type</td><td><input type="checkbox" id="customertypeadd" class="select_any createpage foredit" name="role[]" value="/master/customer-type/create" <?=in_array("/master/customer-type/create",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" class="select_any createpage" id="customertypeedit" name="role[]" value="/master/customer-type/update" <?=in_array("/master/customer-type/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" class="select_any viewpage" id="customer-typeview" name="role[]" value="/master/customer-type/view" <?=in_array("/master/customer-type/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="customertypedelete" class="select_any deletepage" name="role[]" value="/master/customer-type/delete" <?=in_array("/master/customer-type/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="customertypeexport" class="select_any exportpage" name="role[]" value="/master/customer-type/excel-export" <?=in_array("/master/customer-type/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="customertypepdf" class="select_any pdfpage" name="role[]" value="/master/customer-type/export-pdf" <?=in_array("/master/customer-type/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>
         
         <tr><td><input type="checkbox" id="Vendorindex" class="select_index" name="role[]" value="/master/vendor/index" <?=in_array("/master/vendor/index",$authchild)?'checked':''?>></td><td>Vendor</td><td><input type="checkbox" id="Vendoradd" class="select_any createpage foredit" name="role[]" value="/master/vendor/create" <?=in_array("/master/vendor/create",$authchild)?'checked':''?>><br><input type="checkbox" id="Vendoredit" class="select_any createpage" hidden="true" name="role[]" value="/master/vendor/update" <?=in_array("/master/vendor/update",$authchild)?'checked':''?>></td><td><input type="checkbox" id="Vendorview" class="select_any viewpage" name="role[]" value="/master/vendor/view" <?=in_array("/master/vendor/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="Vendordelete" class="select_any deletepage" name="role[]" value="/master/vendor/delete" <?=in_array("/master/vendor/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="vendorexport" class="select_any exportpage" name="role[]" value="/master/vendor/excel-export" <?=in_array("/master/vendor/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="vendorpdf" class="select_any pdfpage" name="role[]" value="/master/vendor/export-pdf" <?=in_array("/master/vendor/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

        

         <tr><td><input type="checkbox" id="businesstypeindex" class="select_index" name="role[]" value="/master/business-type/index" <?=in_array("/master/business-type/index",$authchild)?'checked':''?>></td><td>Business Type</td><td><input type="checkbox" id="businesstypeedit" class="select_any createpage" name="role[]" value="/master/business-type/update" <?=in_array("/master/business-type/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="business-typeview" class="select_any viewpage" name="role[]" value="/master/business-type/view" <?=in_array("/master/business-type/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="businesstypedelete" class="select_any deletepage" name="role[]" value="/master/business-type/delete" <?=in_array("/master/business-type/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="businesstypeexport" class="select_any exportpage" name="role[]" value="/master/business-type/excel-export" <?=in_array("/master/business-type/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="businesstypepdf" class="select_any pdfpage" name="role[]" value="/master/business-type/export-pdf" <?=in_array("/master/business-type/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>


         <tr><td><input type="checkbox" id="callstatusindex" class="select_index" name="role[]" value="/master/call-status/index" <?=in_array("/master/call-status/index",$authchild)?'checked':''?>></td><td>Call Status</td><td><input type="checkbox" id="callstatusedit" class="select_any createpage" name="role[]" value="/master/call-status/update" <?=in_array("/master/call-status/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="callstatusview" class="select_any viewpage" name="role[]" value="/master/call-status/view" <?=in_array("/master/call-status/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="callstatusdelete" class="select_any deletepage" name="role[]" value="/master/call-status/delete" <?=in_array("/master/call-status/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="callstatusexport" class="select_any exportpage" name="role[]" value="/master/call-status/excel-export" <?=in_array("/master/call-status/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="callstatuspdf" class="select_any pdfpage" name="role[]" value="/master/call-status/export-pdf" <?=in_array("/master/call-status/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

         <tr><td><input type="checkbox" id="enquirymodesindex" class="select_index" name="role[]" value="/master/enquiry-modes/index" <?=in_array("/master/enquiry-modes/index",$authchild)?'checked':''?>></td><td>Enquiry Modes</td><td><input type="checkbox" id="enquirymodesedit" class="select_any createpage" name="role[]" value="/master/enquiry-modes/update" <?=in_array("/master/enquiry-modes/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="enquirymodesview" class="select_any viewpage" name="role[]" value="/master/enquiry-modes/view" <?=in_array("/master/enquiry-modes/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="enquirymodesdelete" class="select_any deletepage" name="role[]" value="/master/enquiry-modes/delete" <?=in_array("/master/enquiry-modes/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="enquirymodesexport" class="select_any exportpage" name="role[]" value="/master/enquiry-modes/excel-export" <?=in_array("/master/enquiry-modes/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="enquirymodespdf" class="select_any pdfpage" name="role[]" value="/master/enquiry-modes/export-pdf" <?=in_array("/master/enquiry-modes/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

         <tr><td><input type="checkbox" id="categoryindex" class="select_index" name="role[]" value="/master/category/index" <?=in_array("/master/category/index",$authchild)?'checked':''?>></td><td>Product Category</td><td><input type="checkbox" id="categoryadd" class="select_any createpage foredit" name="role[]" value="/master/category/create" <?=in_array("/master/category/create",$authchild)?'checked':''?>><br><input type="checkbox" id="categoryedit" hidden="true" class="select_any createpage" name="role[]" value="/master/category/update" <?=in_array("/master/category/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="categoryview" class="select_any viewpage" name="role[]" value="/master/category/view" <?=in_array("/master/category/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="categorydelete" class="select_any deletepage" name="role[]" value="/master/category/delete" <?=in_array("/master/category/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="categoryexport" class="select_any exportpage" name="role[]" value="/master/category/excel-export" <?=in_array("/master/category/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="categorypdf" class="select_any pdfpage" name="role[]" value="/master/category/export-pdf" <?=in_array("/master/category/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

         <tr><td><input type="checkbox" id="productindex" class="select_index" name="role[]" value="/master/product/index" <?=in_array("/master/product/index",$authchild)?'checked':''?>></td><td>Products</td><td><input type="checkbox" id="productadd" class="select_any createpage foredit" name="role[]" value="/master/product/create" <?=in_array("/master/product/create",$authchild)?'checked':''?>><br><input type="checkbox" id="productedit" class="select_any createpage" hidden="true" name="role[]" value="/master/product/update" <?=in_array("/master/product/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="productview" class="select_any viewpage" name="role[]" value="/master/product/view" <?=in_array("/master/product/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productdelete" class="select_any deletepage" name="role[]" value="/master/product/delete" <?=in_array("/master/product/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productexport" class="select_any exportpage" name="role[]" value="/master/product/excel-export" <?=in_array("/master/product/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productpdf" class="select_any pdfpage" name="role[]" value="/master/product/export-pdf" <?=in_array("/master/product/export-pdf",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productattachemnt" class="select_any otherpage forall" name="role[]" value="/master/product/findattachments" <?=in_array("/master/product/findattachments",$authchild)?'checked':''?>></td></tr>

         <tr><td><input type="checkbox" id="productunitindex" class="select_index" name="role[]" value="/master/product-unit/index" <?=in_array("/master/product-unit/index",$authchild)?'checked':''?>></td><td>Units</td><td><input type="checkbox" id="productunitadd" class="select_any createpage foredit" name="role[]" value="/master/product-unit/create" <?=in_array("/master/product-unit/create",$authchild)?'checked':''?>><br><input type="checkbox" id="productunitedit" class="select_any createpage" hidden="true" name="role[]" value="/master/product-unit/update" <?=in_array("/master/product-unit/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="productunitview" class="select_any viewpage" name="role[]" value="/master/product-unit/view" <?=in_array("/master/product-unit/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productunitdelete" class="select_any deletepage" name="role[]" value="/master/product-unit/delete" <?=in_array("/master/product-unit/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productunitexport" class="select_any exportpage" name="role[]" value="/master/product-unit/excel-export" <?=in_array("/master/product-unit/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productunitpdf" class="select_any pdfpage" name="role[]" value="/master/product-unit/export-pdf" <?=in_array("/master/product-unit/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

         <tr><td><input type="checkbox" id="groupnameindex" class="select_index" name="role[]" value="/master/group-name/index" <?=in_array("/master/group-name/index",$authchild)?'checked':''?>></td><td>Account Groups</td><td><input type="checkbox" id="groupnameadd" class="select_any createpage foredit" name="role[]" value="/master/group-name/create" <?=in_array("/master/group-name/create",$authchild)?'checked':''?>><br><input type="checkbox" id="groupnameedit" hidden="true" class="select_any createpage" name="role[]" value="/master/group-name/update" <?=in_array("/master/group-name/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="groupnameview" class="select_any viewpage" name="role[]" value="/master/group-name/view" <?=in_array("/master/group-name/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="groupnamedelete" class="select_any deletepage" name="role[]" value="/master/group-name/delete" <?=in_array("/master/group-name/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="groupnameexport" class="select_any exportpage" name="role[]" value="/master/group-name/excel-export" <?=in_array("/master/group-name/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="groupnamepdf" class="select_any pdfpage" name="role[]" value="/master/group-name/export-pdf" <?=in_array("/master/group-name/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

         <tr><td><input type="checkbox" id="accountingledgerindex" class="select_index" name="role[]" value="/master/accounting-ledger/index" <?=in_array("/master/accounting-ledger/index",$authchild)?'checked':''?>></td><td>Account Ledger</td><td><input type="checkbox" id="accountingledgeradd" class="select_any createpage foredit" name="role[]" value="/master/accounting-ledger/create" <?=in_array("/master/accounting-ledger/create",$authchild)?'checked':''?>><br><input type="checkbox" id="accountingledgeredit" hidden="true" class="select_any createpage" name="role[]" value="/master/accounting-ledger/update" <?=in_array("/master/accounting-ledger/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="accountingledgerview" class="select_any viewpage" name="role[]" value="/master/accounting-ledger/view" <?=in_array("/master/accounting-ledger/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingledgerdelete" class="select_any deletepage" name="role[]" value="/master/accounting-ledger/delete" <?=in_array("/master/accounting-ledger/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingledgerexport" class="select_any exportpage" name="role[]" value="/master/accounting-ledger/excel-export" <?=in_array("/master/accounting-ledger/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingledgerpdf" class="select_any pdfpage" name="role[]" value="/master/accounting-ledger/export-pdf" <?=in_array("/master/accounting-ledger/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

         <tr><td><input type="checkbox" id="accountingtaxindex" class="select_index" name="role[]" value="/master/accounting-tax/index" <?=in_array("/master/accounting-tax/index",$authchild)?'checked':''?>></td><td>Tax</td><td><input type="checkbox" id="accountingtaxadd" class="select_any createpage foredit" name="role[]" value="/master/accounting-tax/create" <?=in_array("/master/accounting-tax/create",$authchild)?'checked':''?>><br><input type="checkbox" id="accountingtaxedit" hidden="true" class="select_any createpage" name="role[]" value="/master/accounting-tax/update" <?=in_array("/master/accounting-tax/update",$authchild)?'checked':''?> ></td><td></td><td><input type="checkbox" id="accountingtaxdelete" class="select_any deletepage" name="role[]" value="/master/accounting-tax/delete" <?=in_array("/master/accounting-tax/delete",$authchild)?'checked':''?>></td><td></td><td></td><td></td></tr>

         
         <tr><td><input type="checkbox" id="taxclassindex" class="select_index" name="role[]" value="/master/tax-class/index" <?=in_array("/master/tax-class/index",$authchild)?'checked':''?>></td><td>Tax Class</td><td><input type="checkbox" id="taxclassadd" class="select_any createpage foredit" name="role[]" value="/master/tax-class/create" <?=in_array("/master/tax-class/create",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="taxclassedit" class="select_any createpage" name="role[]" value="/master/tax-class/update" <?=in_array("/master/tax-class/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="taxclassview" class="select_any viewpage" name="role[]" value="/master/tax-class/view" <?=in_array("/master/tax-class/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="taxclassdelete" class="select_any deletepage" name="role[]" value="/master/tax-class/delete" <?=in_array("/master/tax-class/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" class="select_any exportpage" id="taxclassexport" name="role[]" value="/master/tax-class/excel-export" <?=in_array("/master/tax-class/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="taxclasspdf" class="select_any pdfpage" name="role[]" value="/master/tax-class/export-pdf" <?=in_array("/master/tax-class/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>


         <tr><td><input type="checkbox" id="taxtypeindex" class="select_index" name="role[]" value="/master/taxtype/index" <?=in_array("/master/taxtype/index",$authchild)?'checked':''?>></td><td>Tax Type</td><td><input type="checkbox" id="taxtypeadd" class="select_any createpage foredit" name="role[]" value="/master/taxtype/create" <?=in_array("/master/taxtype/create",$authchild)?'checked':''?>><br><input type="checkbox" id="taxtypeedit" hidden="true" class="select_any createpage" name="role[]" value="/master/taxtype/update" <?=in_array("/master/taxtype/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="taxtypeview" class="select_any viewpage" name="role[]" value="/master/taxtype/view" <?=in_array("/master/taxtype/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="taxtypedelete" class="select_any deletepage" name="role[]" value="/master/taxtype/delete" <?=in_array("/master/taxtype/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="taxtypeexport" class="select_any exportpage" name="role[]" value="/master/taxtype/excel-export" <?=in_array("/master/taxtype/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="taxtypepdf" class="select_any pdfpage" name="role[]" value="/master/taxtype/export-pdf" <?=in_array("/master/taxtype/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>
         

 <?php }else {?>

 <?php } ?>   
   
 

 <tr><td><input type="checkbox" id="leadsenquiryindex" class="select_index" name="role[]" value="/master/leads-enquiry/index" <?=in_array("/master/leads-enquiry/index",$authchild)?'checked':''?>></td><td>Enquiry</td><td><input type="checkbox" class="select_any createpage foredit" id="leadsenquiryadd" name="role[]" value="/master/leads-enquiry/create" <?=in_array("/master/leads-enquiry/create",$authchild)?'checked':''?>><br><input type="checkbox" id="leadsenquiryedit" hidden="true" class="select_any createpage" name="role[]" value="/master/leads-enquiry/update" <?=in_array("/master/leads-enquiry/update",$authchild)?'checked':''?> ></td><td></td><td><input type="checkbox" id="leadsenquirydelete" class="select_any deletepage" name="role[]" value="/master/leads-enquiry/delete" <?=in_array("/master/leads-enquiry/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadsenquiryexport" class="select_any exportpage" name="role[]" value="/master/leads-enquiry/excel-export" <?=in_array("/master/leads-enquiry/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadsenquirypdf" class="select_any pdfpage" name="role[]" value="/master/leads-enquiry/export-pdf" <?=in_array("/master/leads-enquiry/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>
 
 <tr><td><input type="checkbox" id="leadsindex" class="select_index" name="role[]" value="/master/leads/index" <?=in_array("/master/leads/index",$authchild)?'checked':''?>></td><td>Leads</td><td><input type="checkbox" class="select_any createpage foredit" id="leadsadd" name="role[]" value="/master/leads/create" <?=in_array("/master/leads/create",$authchild)?'checked':''?>><br><input type="checkbox" id="leadsedit" class="select_any createpage" hidden="true" name="role[]" value="/master/leads/update" <?=in_array("/master/leads/update",$authchild)?'checked':''?> ></td><td></td><td><input type="checkbox" id="leadsdelete" class="select_any deletepage" name="role[]" value="/master/leads/delete" <?=in_array("/master/leads/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadsexport" class="select_any exportpage" name="role[]" value="/master/leads/excel-export" <?=in_array("/master/leads/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadspdf" class="select_any pdfpage" name="role[]" value="/master/leads/export-pdf" <?=in_array("/master/leads/export-pdf",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadspospond" class="select_any otherpage forall" name="role[]" value="/master/leads/postpond" <?=in_array("/master/leads/postpond",$authchild)?'checked':''?>><br> <input type="checkbox" hidden="true" id="leadsdisqualify" class="select_any otherpage" name="role[]" value="/master/leads/disqualify" <?=in_array("/master/leads/disqualify",$authchild)?'checked':''?>></td></tr>
 
 <tr><td><input type="checkbox" id="leadsquotesindex" class="select_index" name="role[]" value="/users/leads-quotes/index" <?=in_array("/users/leads-quotes/index",$authchild)?'checked':''?>></td><td>Quotes</td><td><input type="checkbox" id="leadsquotesadd" class="select_any createpage foredit" name="role[]" value="/users/leads-quotes/create" <?=in_array("/users/leads-quotes/create",$authchild)?'checked':''?>><br><input type="checkbox" id="leadsquotesedit" class="select_any createpage" hidden="true" name="role[]" value="/users/leads-quotes/update" <?=in_array("/users/leads-quotes/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="leadsquotesview" class="select_any viewpage" name="role[]" value="/users/leads-quotes/view" <?=in_array("/users/leads-quotes/view",$authchild)?'checked':''?>></td><td><input type="checkbox" class="select_any deletepage" id="leadsquotesdelete" name="role[]" value="/users/leads-quotes/delete" <?=in_array("/users/leads-quotes/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadsquotesexport" class="select_any exportpage" name="role[]" value="/users/leads-quotes/excel-leadsquote" <?=in_array("/users/leads-quotes/excel-leadsquote",$authchild)?'checked':''?>></td><td><input type="checkbox" id="leadsquotespdf" class="select_any pdfpage" name="role[]" value="/users/leads-quotes/pdf-leadsquote" <?=in_array("/users/leads-quotes/pdf-leadsquote",$authchild)?'checked':''?>></td>
    <td><input type="checkbox" id="quotesattachments" class="select_any otherpage forall" name="role[]" value="/users/leads-quotes/findattachments" <?=in_array("/users/leads-quotes/findattachments",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="closequote" class="select_any otherpage" name="role[]" value="/users/leads-quotes/closequote" <?=in_array("/users/leads-quotes/closequote",$authchild)?'checked':''?>><br>
    <input type="checkbox" id="quotesend" hidden="true" class="select_any otherpage" name="role[]" value="/users/leads-quotes/findleadsalldetails" <?=in_array("/users/leads-quotes/findleadsalldetails",$authchild)?'checked':''?>></td></tr>
 
 <tr><td><input type="checkbox" id="saleorderindex" class="select_index" name="role[]" value="/users/sale-order/index" <?=in_array("/users/sale-order/index",$authchild)?'checked':''?>></td><td>Sales Order</td><td><input type="checkbox" id="saleorderadd" class="select_any createpage foredit" name="role[]" value="/users/sale-order/create" <?=in_array("/users/sale-order/create",$authchild)?'checked':''?>><br><input type="checkbox" id="saleorderedit" hidden="true" class="select_any createpage" name="role[]" value="/users/sale-order/update" <?=in_array("/users/sale-order/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="saleorderview" class="select_any viewpage" name="role[]" value="/users/sale-order/view" <?=in_array("/users/sale-order/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="saleorderdelete" class="select_any deletepage" name="role[]" value="/users/sale-order/delete" <?=in_array("/users/sale-order/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="saleorderexport" class="select_any exportpage" name="role[]" value="/users/sale-order/excel-saleorder" <?=in_array("/users/sale-order/excel-saleorder",$authchild)?'checked':''?>></td><td><input type="checkbox" id="saleorderpdf" class="select_any pdfpage" name="role[]" value="/users/sale-order/saleorder-pdf" <?=in_array("/users/sale-order/saleorder-pdf",$authchild)?'checked':''?>></td>
    <td><input type="checkbox" id="saleattachments" class="select_any otherpage forall" name="role[]" value="/users/sale-order/findattachments" <?=in_array("/users/sale-order/findattachments",$authchild)?'checked':''?>><br>
    <input type="checkbox" id="salesend" hidden="true" class="select_any otherpage" name="role[]" value="/users/sale-order/findsalealldetails" <?=in_array("/users/sale-order/findsalealldetails",$authchild)?'checked':''?>></td></tr>

 <tr><td><input type="checkbox" id="saleorderindex" class="select_index" name="role[]" value="/users/sale-order/saleorder-pending" <?=in_array("/users/sale-order/saleorder-pending",$authchild)?'checked':''?>></td><td>Sales Pending</td><td></td><td></td><td></td><td><input type="checkbox" id="saleorderexport" class="select_any exportpage" name="role[]" value="/users/sale-order/pending-excel-export" <?=in_array("/users/sale-order/pending-excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="saleorderpdf" class="select_any pdfpage" name="role[]" value="/users/sale-order/pending-pdf" <?=in_array("/users/sale-order/pending-pdf",$authchild)?'checked':''?>></td><td></td></tr>
 
 <tr><td><input type="checkbox" id="proformainvoiceindex" class="select_index" name="role[]" value="/users/proforma-invoice/index" <?=in_array("/users/proforma-invoice/index",$authchild)?'checked':''?>></td><td>Proforma Invoice</td><td><input type="checkbox" id="proformainvoiceadd" class="select_any createpage foredit" name="role[]" value="/users/proforma-invoice/create" <?=in_array("/users/proforma-invoice/create",$authchild)?'checked':''?>><br><input type="checkbox" id="proformainvoiceedit" hidden="true" class="select_any createpage" name="role[]" value="/users/proforma-invoice/update" <?=in_array("/users/proforma-invoice/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="proformainvoiceview" class="select_any viewpage" name="role[]" value="/users/proforma-invoice/view" <?=in_array("/users/proforma-invoice/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="proformainvoicedelete" class="select_any deletepage" name="role[]" value="/users/proforma-invoice/delete" <?=in_array("/users/proforma-invoice/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="proformainvoiceexport" class="select_any exportpage" name="role[]" value="/users/proforma-invoice/excel-proforma" <?=in_array("/users/proforma-invoice/excel-proforma",$authchild)?'checked':''?>></td><td><input type="checkbox" id="proformainvoicepdf" class="select_any pdfpage" name="role[]" value="/users/proforma-invoice/proforma-invoice-pdf" <?=in_array("/users/proforma-invoice/proforma-invoice-pdf",$authchild)?'checked':''?>></td>
    <td><input type="checkbox" id="proformaattachments" class="select_any otherpage forall" name="role[]" value="/users/proforma-invoice/findattachments" <?=in_array("/users/proforma-invoice/findattachments",$authchild)?'checked':''?>><br>
    <input type="checkbox" hidden="true" id="proformasend" class="select_any otherpage" name="role[]" value="/users/proforma-invoice/findproinvoicealldetails" <?=in_array("/users/proforma-invoice/findproinvoicealldetails",$authchild)?'checked':''?>></td></tr>
 
 <tr><td><input type="checkbox" id="invoiceindex" class="select_index" name="role[]" value="/users/invoice/index" <?=in_array("/users/invoice/index",$authchild)?'checked':''?>></td><td>Invoice</td><td><input type="checkbox" id="invoiceadd" class="select_any createpage foredit" name="role[]" value="/users/invoice/create" <?=in_array("/users/invoice/create",$authchild)?'checked':''?>><br><input type="checkbox" id="invoiceedit" hidden="true" class="select_any createpage" name="role[]" value="/users/invoice/update" <?=in_array("/users/invoice/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="invoiceview" class="select_any viewpage" name="role[]" value="/users/invoice/view" <?=in_array("/users/invoice/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="invoicedelete" class="select_any deletepage" name="role[]" value="/users/invoice/delete" <?=in_array("/users/invoice/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="invoiceexport" class="select_any exportpage forexport" name="role[]" value="/users/invoice/excel-invoice" <?=in_array("/users/invoice/excel-invoice",$authchild)?'checked':''?>><br><input type="checkbox" id="invoiceexport" hidden="true" class="select_any exportpage" name="role[]" value="/users/invoice/excel-export" <?=in_array("/users/invoice/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="invoicepdf" class="select_any pdfpage" name="role[]" value="/users/invoice/invoice-pdf" <?=in_array("/users/invoice/invoice-pdf",$authchild)?'checked':''?>></td><td><input type="checkbox" hidden="true" id="invoicedc" class="select_any otherpage " name="role[]" value="/users/invoice/delivery-challan-template" <?=in_array("/users/invoice/delivery-challan-template",$authchild)?'checked':''?>><br><input type="checkbox" id="invoicesend" class="select_any otherpage forall" name="role[]" value="/users/invoice/findinvoicealldetails" <?=in_array("/users/invoice/findinvoicealldetails",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="invoiceattachments" class="select_any otherpage" name="role[]" value="/users/invoice/findattachments" <?=in_array("/users/invoice/findattachments",$authchild)?'checked':''?>></td></tr>
 
 <tr><td><input type="checkbox" id="creditnoteindex" class="select_index" name="role[]" value="/users/credit-note/index" <?=in_array("/users/credit-note/index",$authchild)?'checked':''?>></td><td>Credit Note</td><td><input type="checkbox" id="creditnoteadd" class="select_any createpage foredit" name="role[]" value="/users/credit-note/create" <?=in_array("/users/credit-note/create",$authchild)?'checked':''?>><br><input type="checkbox" id="creditnoteedit" hidden="true" class="select_any createpage" name="role[]" value="/users/credit-note/update" <?=in_array("/users/credit-note/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="creditnoteview"class="select_any viewpage" class="select_any viewpage" name="role[]" value="/users/credit-note/view" <?=in_array("/users/credit-note/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="creditnotedelete" class="select_any deletepage" name="role[]" value="/users/credit-note/delete" <?=in_array("/users/credit-note/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="creditnoteexport" class="select_any exportpage forexport" name="role[]" value="/users/credit-note/excel-creditnote" <?=in_array("/users/credit-note/excel-creditnote",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="creditnoteexport" class="select_any exportpage" name="role[]" value="/users/credit-note/excel-export" <?=in_array("/users/credit-note/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="creditnotepdf" class="select_any pdfpage" name="role[]" value="/users/credit-note/creditnote-pdf" <?=in_array("/users/credit-note/creditnote-pdf",$authchild)?'checked':''?>></td>
    <td><input type="checkbox" id="creditattachemnt" class="select_any otherpage forall" name="role[]" value="/users/credit-note/findattachments" <?=in_array("/users/credit-note/findattachments",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="creditmail" class="select_any otherpage" name="role[]" value="/users/credit-note/findcreditalldetails" <?=in_array("/users/credit-note/findcreditalldetails",$authchild)?'checked':''?>></td></tr>
 
 <tr><td><input type="checkbox" id="receiptdetailsindex" class="select_index" name="role[]" value="/users/receipt-details/index" <?=in_array("/users/receipt-details/index",$authchild)?'checked':''?>></td><td>Receipt</td><td><input type="checkbox" id="receiptdetailsadd" class="select_any createpage foredit" name="role[]" value="/users/receipt-details/create" <?=in_array("/users/receipt-details/create",$authchild)?'checked':''?>><br><input type="checkbox" id="receiptdetailsedit" hidden="true" class="select_any createpage" name="role[]" value="/users/receipt-details/update" <?=in_array("/users/receipt-details/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="receiptdetailsview" class="select_any viewpage" name="role[]" value="/users/receipt-details/view" <?=in_array("/users/receipt-details/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="receiptdetailsdelete" class="select_any deletepage" name="role[]" value="/users/receipt-details/delete" <?=in_array("/users/receipt-details/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="receiptdetailsexport" class="select_any exportpage" name="role[]" value="/users/receipt-details/excel-export" <?=in_array("/users/receipt-details/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="receiptdetailspdf" class="select_any pdfpage" name="role[]" value="/users/receipt-details/receipt-pdf" <?=in_array("/users/receipt-details/receipt-pdf",$authchild)?'checked':''?>></td><td><input type="checkbox" id="receiptattachemnt" class="select_any otherpage forall" name="role[]" value="/users/receipt-details/findattachments" <?=in_array("/users/receipt-details/findattachments",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="creditmail" class="select_any otherpage" name="role[]" value="/users/receipt-details/findreceiptalldetails" <?=in_array("/users/receipt-details/findreceiptalldetails",$authchild)?'checked':''?>></td></tr> 

 <tr><td><input type="checkbox" id="purchaseorder-indentindex" class="select_index" name="role[]" value="/master/purchase-order-indent/index" <?=in_array("/master/purchase-order-indent/index",$authchild)?'checked':''?>></td><td>Purcharse Indent</td><td><input type="checkbox" id="purchaseorder-indentadd" class="select_any createpage foredit" name="role[]" value="/master/purchase-order-indent/create" <?=in_array("/master/purchase-order-indent/create",$authchild)?'checked':''?>></td><td><input type="checkbox" class="select_any viewpage" id="purchaseorder-indentview" name="role[]" value="/master/purchase-order-indent/view" <?=in_array("/master/purchase-order-indent/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorder-indentdelete" class="select_any deletepage" name="role[]" value="/master/purchase-order-indent/delete" <?=in_array("/master/purchase-order-indent/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorderindentexport" class="select_any exportpage" name="role[]" value="/master/purchase-order-indent/excel-export" <?=in_array("/master/purchase-order-indent/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorderindentpdf" class="select_any pdfpage" name="role[]" value="/master/purchase-order-indent/export-pdf" <?=in_array("/master/purchase-order-indent/export-pdf",$authchild)?'checked':''?>></td><td></td></tr>

 <tr><td><input type="checkbox" id="purchaseorderindex" class="select_index" name="role[]" value="/master/purchase-order/index" <?=in_array("/master/purchase-order/index",$authchild)?'checked':''?>></td><td>Purcharse Order</td><td><input type="checkbox" class="select_any createpage foredit" id="purchaseorderadd" name="role[]" value="/master/purchase-order/create" <?=in_array("/master/purchase-order/create",$authchild)?'checked':''?>><br><input type="checkbox" id="purchaseorderedit" hidden="true" class="select_any createpage" name="role[]" value="/master/purchase-order/update" <?=in_array("/master/purchase-order/update",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorderview" class="select_any viewpage" name="role[]" value="/master/purchase-order/view" <?=in_array("/master/purchase-order/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorderdelete" class="select_any deletepage" name="role[]" value="/master/purchase-order/delete" <?=in_array("/master/purchase-order/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorderexport" class="select_any exportpage" name="role[]" value="/master/purchase-order/excel-export" <?=in_array("/master/purchase-order/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseorderpdf" class="select_any pdfpage" name="role[]" value="/master/purchase-order/purchase-order-template" <?=in_array("/master/purchase-order/purchase-order-template",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchaseattachemnt" class="select_any otherpage" name="role[]" value="/master/purchase-order/download-attachment" <?=in_array("/master/purchase-order/download-attachment",$authchild)?'checked':''?>></td></tr>

 <tr><td><input type="checkbox" id="purchasependingindex" class="select_index" name="role[]" value="/master/purchase-order/purchase-pending" <?=in_array("/master/purchase-order/purchase-pending",$authchild)?'checked':''?>></td><td>Purcharse Pending</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

 <tr><td><input type="checkbox" id="purchasebillindex" class="select_index" name="role[]" value="/users/purchase-bill/index" <?=in_array("/users/purchase-bill/index",$authchild)?'checked':''?>></td><td>Bill</td><td><input type="checkbox" id="purchasebilladd" class="select_any createpage foredit" name="role[]" value="/users/purchase-bill/create" <?=in_array("/users/purchase-bill/create",$authchild)?'checked':''?>><br><input type="checkbox" id="purchasebilledit" hidden="true" class="select_any createpage" name="role[]" value="/users/purchase-bill/update" <?=in_array("/users/purchase-bill/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="purchasebillview" class="select_any viewpage" name="role[]" value="/users/purchase-bill/view" <?=in_array("/users/purchase-bill/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchasebilldelete" class="select_any deletepage" name="role[]" value="/users/purchase-bill/delete" <?=in_array("/users/purchase-bill/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchasebillexport" class="select_any exportpage" name="role[]" value="/users/purchase-bill/excel-export" <?=in_array("/users/purchase-bill/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchasebillpdf" class="select_any pdfpage" name="role[]" value="/users/purchase-bill/purchasebill-template" <?=in_array("/users/purchase-bill/purchasebill-template",$authchild)?'checked':''?>></td><td><input type="checkbox" id="billattachemnt" class="select_any otherpage forall" name="role[]" value="/users/purchase-bill/download-attachment" <?=in_array("/users/purchase-bill/download-attachment",$authchild)?'checked':''?>><br><input type="checkbox" id="billsend" hidden="true" class="select_any otherpage" name="role[]" value="/users/purchase-bill/findbillalldetails" <?=in_array("/users/purchase-bill/findbillalldetails",$authchild)?'checked':''?>></td></tr>

 <tr><td><input type="checkbox" id="purchasepaymentindex" class="select_index" name="role[]" value="/users/purchase-payment/index" <?=in_array("/users/purchase-payment/index",$authchild)?'checked':''?>></td><td>Payment</td><td><input type="checkbox" id="purchasepaymentadd" class="select_any createpage foredit" name="role[]" value="/users/purchase-payment/create" <?=in_array("/users/purchase-payment/create",$authchild)?'checked':''?>><br><input type="checkbox" id="purchasepaymentedit" hidden="true" class="select_any createpage" name="role[]" value="/users/purchase-payment/update" <?=in_array("/users/purchase-payment/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="purchasepaymentview" class="select_any viewpage" name="role[]" value="/users/purchase-payment/view" <?=in_array("/users/purchase-payment/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchasepaymentdelete" class="select_any deletepage" name="role[]" value="/users/purchase-payment/delete" <?=in_array("/users/purchase-payment/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchasepaymentexport" class="select_any exportpage" name="role[]" value="/users/purchase-payment/excel-export" <?=in_array("/users/purchase-payment/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="purchasepaymentpdf" class="select_any pdfpage" name="role[]" value="/users/purchase-payment/purchasepayment-template" <?=in_array("/users/purchase-payment/purchasepayment-template",$authchild)?'checked':''?>></td><td><input type="checkbox" id="paymentattachemnt" class="select_any otherpage forall" name="role[]" value="/users/purchase-payment/download-attachment" <?=in_array("/users/purchase-payment/download-attachment",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="paymentsend" class="select_any otherpage" name="role[]" value="/users/purchase-payment/findpaymentalldetails" <?=in_array("/users/purchase-payment/findpaymentalldetails",$authchild)?'checked':''?>></td></tr>

 <tr><td><input type="checkbox" id="debitnoteindex" class="select_index" name="role[]" value="/users/debit-note/index" <?=in_array("/users/debit-note/index",$authchild)?'checked':''?>></td><td>Debit Note</td><td><input type="checkbox" id="debitnoteadd" class="select_any createpage foredit" name="role[]" value="/users/debit-note/create" <?=in_array("/users/debit-note/create",$authchild)?'checked':''?>><br><input type="checkbox" id="debitnoteedit" hidden="true" class="select_any createpage" name="role[]" value="/users/debit-note/update" <?=in_array("/users/debit-note/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="debitnoteview" class="select_any viewpage" name="role[]" value="/users/debit-note/view" <?=in_array("/users/debit-note/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="debitnotedelete" class="select_any deletepage" name="role[]" value="/users/debit-note/delete" <?=in_array("/users/debit-note/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="debitnoteexport" class="select_any exportpage" name="role[]" value="/users/debit-note/excel-export" <?=in_array("/users/debit-note/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="debitnotepdf" class="select_any pdfpage" name="role[]" value="/users/debit-note/debitnote-pdf" <?=in_array("/users/debit-note/debitnote-pdf",$authchild)?'checked':''?>></td><td><input type="checkbox" id="debitattachemnt" class="select_any otherpage" name="role[]" value="/users/debit-note/download-attachment" <?=in_array("/users/debit-note/download-attachment",$authchild)?'checked':''?>></td></tr>

 <tr><td><input type="checkbox" id="inventorypendingindex" class="select_index" name="role[]" value="/users/inventory-pending/index" <?=in_array("/users/inventory-pending/index",$authchild)?'checked':''?>></td><td>Inventory Pending</td><td></td><td><input type="checkbox" id="inventorypendingview" class="select_any viewpage " hidden="true" name="role[]" value="/users/inventory-pending/view" <?=in_array("/users/inventory-pending/view",$authchild)?'checked':''?>><br><input type="checkbox"  id="inventorypendingpview" class="select_any viewpage forview" name="role[]" value="/users/inventory-pending/view-purchase" <?=in_array("/users/inventory-pending/view-purchase",$authchild)?'checked':''?>><br><input type="checkbox" hidden="true" id="inventorypendingdview" class="select_any viewpage" name="role[]" value="/users/inventory-pending/view-debit" <?=in_array("/users/inventory-pending/view-debit",$authchild)?'checked':''?>><br><input type="checkbox" id="inventorypendingcview" hidden="true" class="select_any viewpage" name="role[]" value="/users/inventory-pending/view-credit" <?=in_array("/users/inventory-pending/view-credit",$authchild)?'checked':''?>></td><td></td><td></td><td><input type="checkbox" id="inventorypendingpdf" class="select_any pdfpage" name="role[]" value="/users/inventory-pending/inventory-pdf" <?=in_array("/users/inventory-pending/inventory-pdf",$authchild)?'checked':''?>></td><td></td></tr>

 <tr><td><input type="checkbox" id="productdeliveredindex" class="select_index" name="role[]" value="/users/product-delivered/index" <?=in_array("/users/product-delivered/index",$authchild)?'checked':''?>></td><td>Delivered</td><td><input type="checkbox" id="productdeliveredadd" class="select_any createpage foredit" name="role[]" value="/users/product-delivered/create" <?=in_array("/users/product-delivered/create",$authchild)?'checked':''?>><br><input type="checkbox" id="productdeliverededit" hidden="true" class="select_any createpage" name="role[]" value="/users/product-delivered/update" <?=in_array("/users/product-delivered/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="productdeliveredview" class="select_any viewpage" name="role[]" value="/users/product-delivered/view" <?=in_array("/users/product-delivered/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productdelivereddelete" class="select_any deletepage" name="role[]" value="/users/product-delivered/delete" <?=in_array("/users/product-delivered/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productdeliveredexport" class="select_any exportpage" name="role[]" value="/users/product-delivered/excel-export" <?=in_array("/users/product-delivered/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productdeliveredpdf"
  class="select_any pdfpage" name="role[]" value="/users/product-delivered/printpdf" <?=in_array("/users/product-delivered/printpdf",$authchild)?'checked':''?>></td><td><input type="checkbox" id="deliveredattachemnt" class="select_any otherpage forall" name="role[]" value="/users/product-delivered/download-attachment" <?=in_array("/users/product-delivered/download-attachment",$authchild)?'checked':''?>></td></tr>

 <tr><td><input type="checkbox" id="productreceivedindex" class="select_index" name="role[]" value="/users/product-received/index" <?=in_array("/users/product-received/index",$authchild)?'checked':''?>></td><td>Received</td><td><input type="checkbox" id="productreceivedadd" class="select_any createpage foredit" name="role[]" value="/users/product-received/create" <?=in_array("/users/product-received/create",$authchild)?'checked':''?>><br><input type="checkbox" id="productreceivededit" hidden="true" class="select_any createpage" name="role[]" value="/users/product-received/update" <?=in_array("/users/product-received/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="productreceivedview" class="select_any viewpage" name="role[]" value="/users/product-received/view" <?=in_array("/users/product-received/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productreceiveddelete" class="select_any deletepage" name="role[]" value="/users/product-received/delete" <?=in_array("/users/product-received/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productreceivedexport" class="select_any exportpage" name="role[]" value="/users/product-received/excel-export" <?=in_array("/users/product-received/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="productreceivedpdf" class="select_any pdfpage" name="role[]" value="/users/product-received/goods-receipt-template" <?=in_array("/users/product-received/goods-receipt-template",$authchild)?'checked':''?>></td><td></td></tr>
 
 <tr><td><input type="checkbox" id="accountingcontraindex" class="select_index" name="role[]" value="/users/accounting-contra/index" <?=in_array("/users/accounting-contra/index",$authchild)?'checked':''?>></td><td>Contra</td><td><input type="checkbox" id="accountingcontraadd" class="select_any createpage foredit" name="role[]" value="/users/accounting-contra/create" <?=in_array("/users/accounting-contra/create",$authchild)?'checked':''?>><br><input type="checkbox" id="accountingcontraedit" hidden="true" class="select_any createpage" name="role[]" value="/users/accounting-contra/update" <?=in_array("/users/accounting-contra/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="accountingcontraview" class="select_any viewpage" name="role[]" value="/users/accounting-contra/view" <?=in_array("/users/accounting-contra/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingcontradelete" class="select_any deletepage" name="role[]" value="/users/accounting-contra/delete" <?=in_array("/users/accounting-contra/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingcontraexport" class="select_any exportpage" name="role[]" value="/users/accounting-contra/excel-export" <?=in_array("/users/accounting-contra/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" class="select_any pdfpage" id="accountingcontrapdf" name="role[]" value="/users/accounting-contra/contra-template" <?=in_array("/users/accounting-contra/contra-template",$authchild)?'checked':''?>></td><td></td></tr>
 
 <tr><td><input type="checkbox" id="accountingjournalindex" class="select_index" name="role[]" value="/users/accounting-journal/index" <?=in_array("/users/accounting-journal/index",$authchild)?'checked':''?>></td><td>Journal</td><td><input type="checkbox" id="accountingjournaladd" class="select_any createpage foredit" name="role[]" value="/users/accounting-journal/create" <?=in_array("/users/accounting-journal/create",$authchild)?'checked':''?>><br><input type="checkbox" id="accountingjournaledit" hidden="true" class="select_any createpage" name="role[]" value="/users/accounting-journal/update" <?=in_array("/users/accounting-journal/update",$authchild)?'checked':''?> ></td><td><input type="checkbox" id="accountingjournalview" class="select_any viewpage" name="role[]" value="/users/accounting-journal/view" <?=in_array("/users/accounting-journal/view",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingjournaldelete" class="select_any deletepage" name="role[]" value="/users/accounting-journal/delete" <?=in_array("/users/accounting-journal/delete",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingjournalexport" class="select_any exportpage" name="role[]" value="/users/accounting-journal/excel-export" <?=in_array("/users/accounting-journal/excel-export",$authchild)?'checked':''?>></td><td><input type="checkbox" id="accountingjournalpdf" class="select_any pdfpage" name="role[]" value="/users/accounting-journal/journal-template" <?=in_array("/users/accounting-journal/journal-template",$authchild)?'checked':''?>></td><td></td></tr>


<tr><td><input type="checkbox" id="reportindex" class="select_index" name="role[]" value="/reports/default/index" <?=in_array("/reports/default/index",$authchild)?'checked':''?>></td><td>Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

 

<tr><td><input type="checkbox" id="customerledgerindex" class="select_index" name="role[]" value="/reports/sales-customer-ledger/index" <?=in_array("/reports/sales-customer-ledger/index",$authchild)?'checked':''?>></td><td>Sales Customer Ledger</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="salereportbyproductindex" class="select_index" name="role[]" value="/reports/sale-report-by-product/index" <?=in_array("/reports/sale-report-by-product/index",$authchild)?'checked':''?>></td><td>Sale Report By Product</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="salemovingproductindex" class="select_index" name="role[]" value="/reports/sales-moving-product/index" <?=in_array("/reports/sales-moving-product/index",$authchild)?'checked':''?>></td><td>Fast/Slow-Moving Product Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="salereportindex" class="select_index" name="role[]" value="/reports/sale-order-report/index" <?=in_array("/reports/sale-order-report/index",$authchild)?'checked':''?>></td><td>Sales Order Report</td><td></td><td><input type="checkbox" id="salereportpdf" class="select_any viewpage" name="role[]" value="/reports/sale-order-report/exportpdf" <?=in_array("/reports/sale-order-report/exportpdf",$authchild)?'checked':''?>></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="purchaseoutstandingindex" class="select_index" name="role[]" value="/reports/purchase-outstanding-expense/index" <?=in_array("/reports/purchase-outstanding-expense/index",$authchild)?'checked':''?>></td><td>Purchase Outstanding Expense</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>


<tr><td><input type="checkbox" id="purchaseproductindex" class="select_index" name="role[]" value="/reports/purchase-report-by-product/index" <?=in_array("/reports/purchase-report-by-product/index",$authchild)?'checked':''?>></td><td>Purchase Report By product</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="purchasereportindex" class="select_index" name="role[]" value="/reports/purchase-order-report/index" <?=in_array("/reports/purchase-order-report/index",$authchild)?'checked':''?>></td><td>Purchase Order Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>


<tr><td><input type="checkbox" id="vendorledgerindex" class="select_index" name="role[]" value="/reports/purchase-vendor-ledger/index" <?=in_array("/reports/purchase-vendor-ledger/index",$authchild)?'checked':''?>></td><td>Purchase Vendor Ledger</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>


<tr><td><input type="checkbox" id="vendoragingindex" class="select_index" name="role[]" value="/reports/vendor-aging-report/index" <?=in_array("/reports/vendor-aging-report/index",$authchild)?'checked':''?>></td><td>Vendor Aging Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>


<tr><td><input type="checkbox" id="stockagingindex" class="select_index" name="role[]" value="/reports/stock-aging-report/index" <?=in_array("/reports/stock-aging-report/index",$authchild)?'checked':''?>></td><td>Stock Aging Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="daybookindex" class="select_index" name="role[]" value="/reports/daybook-report/index" <?=in_array("/reports/daybook-report/index",$authchild)?'checked':''?>></td><td>Daybook Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>


<tr><td><input type="checkbox" id="trialbalanceindex" class="select_index" name="role[]" value="/reports/trial-balance/index" <?=in_array("/reports/trial-balance/index",$authchild)?'checked':''?>></td><td>Trial Balance</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

<tr><td><input type="checkbox" id="cashflowindex" class="select_index" name="role[]" value="/reports/cash-flow/index" <?=in_array("/reports/cash-flow/index",$authchild)?'checked':''?>></td><td>Cash Flow Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>


<tr><td>

    <input type="checkbox" id="gstindex" hidden="true" class="select_index gstr" name="role[]" value="/reports/gst-report2/index" <?=in_array("/reports/gst-report2/index",$authchild)?'checked':''?>><br>
    <input type="checkbox" id="gstindex" hidden="true" class="select_index gstr" name="role[]" value="/reports/gst-report2/details" <?=in_array("/reports/gst-report2/details",$authchild)?'checked':''?>><br>
     <input type="checkbox" id="cashflowindex" class="select_index gstr_details" name="role[]" value="/reports/gst-report/index" <?=in_array("/reports/gst-report/index",$authchild)?'checked':''?>><br>
    <input type="checkbox" id="gstindex" hidden="true" class="select_index gstr" name="role[]" value="/reports/gst-report/gstr" <?=in_array("/reports/gst-report/gstr",$authchild)?'checked':''?>><br>
   
    <input type="checkbox" id="gstindex" hidden="true" class="select_index gstr" name="role[]" value="/reports/gstr1-details/gstr1details" <?=in_array("/reports/gstr1-details/gstr1details",$authchild)?'checked':''?>><br>
    <input type="checkbox" id="gstindex" hidden="true" class="select_index gstr" name="role[]" value="/reports/gstr1-details/index" <?=in_array("/reports/gstr1-details/index",$authchild)?'checked':''?>>
</td><td>GST Report</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>

</tbody>
</table>

  <input type=submit style="margin:auto;display:block;width: 10%;" class="btn btn-info">           
</form> 
<br><br>
</div>
            </div>
<?php ob_start();?>
 <script type="text/javascript">
$(function() {

    $('.select_index').click(function()
    {
        if($(this).is(":checked"))
        {
            $(this).parent().siblings().children('.select_any').prop('checked', true);
        }
        else
        {
            $(this).parent().siblings().children('.select_any').prop('checked', false);
        }
    })

    $('.select_any').click(function()
    {
        var count = 0;
            if($(this).is(":checked"))
            {
                count = count+1;
            }
        $(this).parent().siblings().children('.select_any').each(function()
        {
            if($(this).is(":checked"))
            {
                count = count+1;
            }  
        })
        if(count>0)
        {
            $(this).parent().siblings().children('.select_index').prop('checked', true);
        }
        else
        {
            $(this).parent().siblings().children('.select_index').prop('checked', false);
        }
    })

//FOR CREATE PAGES 

    $('.createpage').click(function()
    {
        $('.top_create').prop('checked',false);
        
    })

    $('.foredit').click(function()
    {
        if($(this).is(":checked"))
        {
            $(this).siblings('.select_any').prop('checked',true);
        }
        else
        {
            $(this).siblings('.select_any').prop('checked',false);
        }
        
    }) 

    $('.forview').click(function()
    {
        if($(this).is(":checked"))
        {
            $(this).siblings('.select_any').prop('checked',true);
        }
        else
        {
            $(this).siblings('.select_any').prop('checked',false);
        }
        
    })

    $('.gstr_details').click(function()
    {
        if($(this).is(":checked"))
        {
            $(this).siblings('.gstr').prop('checked',true);
        }
        else
        {
            $(this).siblings('.gstr').prop('checked',false);
        }
        
    })


    $('.forall').click(function()
    {
        if($(this).is(":checked"))
        {
            $(this).siblings('.select_any').prop('checked',true);
        }
        else
        {
            $(this).siblings('.select_any').prop('checked',false);
        }
        
    })

    $('.forexport').click(function()
    {
        if($(this).is(":checked"))
        {
            $(this).siblings('.select_any').prop('checked',true);
        }
        else
        {
            $(this).siblings('.select_any').prop('checked',false);
        }
        
    })

    $('.top_create').click(function()
    {
        if($(this).is(":checked"))
        {
            // $('.select_index').each(function()
            // {
            //     $(this).prop('checked',true);
            // })
            $('.createpage').each(function()
            {
                $(this).prop('checked',true);
                var from = $(this);
                checkindex(from);
            })
        }
        else
        { 
            $('.createpage').each(function()
            {
                $(this).prop('checked',false);
                var from = $(this);
                checkindex(from);
            })
        } 
    })

    function checkindex(from)
    {
        var count = 0;
            if(from.is(":checked"))
            {
                count = count+1;
            }
            from.parent().siblings().children('.select_any').each(function()
            {
                if($(this).is(":checked"))
                {
                    count = count+1;
                }  
            })
            if(count>0)
            {
                from.parent().siblings().children('.select_index').prop('checked', true);
            }
            else
            {
                from.parent().siblings().children('.select_index').prop('checked', false);
            }
    }   

//FOR VIEW PAGES

    $('.viewpage').click(function()
    {
        $('.top_view').prop('checked',false);
    })

    $('.top_view').click(function()
    {
        if($(this).is(":checked"))
        {
            // $('.select_index').each(function()
            // {
            //     $(this).prop('checked',true);
            // })
            $('.viewpage').each(function()
            {
                $(this).prop('checked',true);
                var from = $(this);
                checkindex(from);
            })
        }
        else
        { 
            $('.viewpage').each(function()
            {
                $(this).prop('checked',false);
                var from = $(this);
                checkindex(from);
                // alert('returns');
            })
        } 
    }) 

//FOR DELETE PAGE

    $('.deletepage').click(function()
    {
        $('.top_delete').prop('checked',false);
    })

    $('.top_delete').click(function()
    {
        if($(this).is(":checked"))
        {
            // $('.select_index').each(function()
            // {
            //     $(this).prop('checked',true);
            // })
            $('.deletepage').each(function()
            {
                $(this).prop('checked',true);
                var from = $(this);
                checkindex(from);
            })
        }
        else
        { 
            $('.deletepage').each(function()
            {
                $(this).prop('checked',false);
                var from = $(this);
                checkindex(from);
                // alert('returns');
            })
        } 
    }) 

//FOR EXPORT PAGE  

    $('.exportpage').click(function()
    {
        $('.top_export').prop('checked',false);
    })

    $('.top_export').click(function()
    {
        if($(this).is(":checked"))
        {
            // $('.select_index').each(function()
            // {
            //     $(this).prop('checked',true);
            // })
            $('.exportpage').each(function()
            {
                $(this).prop('checked',true);
                var from = $(this);
                checkindex(from);
            })
        }
        else
        { 
            $('.exportpage').each(function()
            {
                $(this).prop('checked',false);
                var from = $(this);
                checkindex(from);
                // alert('returns');
            })
        } 
    }) 

//FOR PDF/PRINT PAGE

    $('.pdfpage').click(function()
    {
        $('.top_pdf').prop('checked',false);
    })

    $('.top_pdf').click(function()
    {
        if($(this).is(":checked"))
        {
            // $('.select_index').each(function()
            // {
            //     $(this).prop('checked',true);
            // })
            $('.pdfpage').each(function()
            {
                $(this).prop('checked',true);
                var from = $(this);
                checkindex(from);
            })
        }
        else
        { 
            $('.pdfpage').each(function()
            {
                $(this).prop('checked',false);
                var from = $(this);
                checkindex(from);
                // alert('returns');
            })
        } 
    }) 

 //FOR OTHER PAGE
 
     $('.otherpage').click(function()
    {
        $('.top_others').prop('checked',false);
    })

    $('.top_others').click(function()
    {
        if($(this).is(":checked"))
        {
            // $('.select_index').each(function()
            // {
            //     $(this).prop('checked',true);
            // })
            $('.otherpage').each(function()
            {
                $(this).prop('checked',true);
                var from = $(this);
                checkindex(from);
            })
        }
        else
        { 
            $('.otherpage').each(function()
            {
                $(this).prop('checked',false);
                var from = $(this);
                checkindex(from);
                // alert('returns');
            })
        } 
    })   

    });
</script>
<?php $this->registerJs(preg_replace('~^\s*<script.*>|</script>\s*$~ U', '', ob_get_clean()))?>