<?php

use yii\helpers\Html;
use yii\grid\GridView;
use mdm\admin\components\Helper;
use yii\helpers\Url;
use yii\widgets\ActiveForm;
use backend\models\AuthAssignment;
use backend\modules\master\models\LeadExecutive;

/* @var $this yii\web\View */
/* @var $searchModel mdm\admin\models\searchs\User */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('rbac-admin', 'Users');
$this->params['breadcrumbs'][] = $this->title;
?>
<?php if (Yii::$app->session->hasFlash('success')): ?>
                    <div class="alert alert-success alert-dismissable">
                         <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                         <?= Yii::$app->session->getFlash('success') ?>
                    </div>
                    <?php endif; ?>
                    <?php if (Yii::$app->session->hasFlash('error')): ?>
                    <div class="alert alert-danger alert-dismissable">
                         <button aria-hidden="true" data-dismiss="alert" class="close" type="button">×</button>
                         <?= Yii::$app->session->getFlash('error') ?>
                    </div>
                    <?php endif; ?>

<div class="app-main__inner">
                <div class="card no-shadow bg-transparent no-border rm-borders mb-3">
                            <div class="card">
                                <div class="no-gutters row">
                                    <div class="col-md-12 col-lg-12">
                                        <ul class="list-group list-group-flush">
                                            <li class="bg-transparent list-group-item">
                                                <div class="widget-content p-0">
                                                    <div class="widget-content-outer">
                                                        <div class="widget-content-wrapper">
                                                            <div class="widget-content-left">
                                                                <div class="widget-numbers dj-text-success">Users</div>
                                                            </div>
                                                            <div class="widget-content-right">
                                                                <div class="djsec-text-right dj-print-sec">
                                                                   <a href="<?=Url::base()?>/master/lead-executive/create" class="dj-danger-btn"><i class="fa fa-plus-circle" aria-hidden="true"></i> Add User</a>    
                                                                    
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </li>
                                          
                                        </ul>
                                    </div> 
                                </div>
                            </div>
                        </div>
                        
                          <div class="main-card mb-3 card">
                        <div class="card-body">
                  
                                <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],
            'username',
            'email:email',
            [
                'attribute' => 'Role',
                'value' => function($model) {

                    $assignment = AuthAssignment::find()->where(['user_id'=>$model->id])->one();
                    if($assignment!='')
                      return $assignment->item_name;
                    // else
                    //   return 'NOT ASSIGNED ANY ROLE';  
                },
            ],
            [
                'attribute' => 'Active',
                'format'=>'raw',
                'value' => function($model) {
                    $id = $model->id;
                    return $model->status == 0 ? '<input type="checkbox" data-toggle="toggle" data-on="Yes" data-off="No" data-style="deactivateuser" value='.$id.' name="deactivateuser" id="deactivateuser"  data-size="mini"data-size="mini">' : '<input type="checkbox" checked data-toggle="toggle" data-on="Yes" data-off="No" data-style="activateuser" value='.$id.'  name="activateuser" id="activateuser" data-size="mini"data-size="mini">';
                    // return '<input type="checkbox" checked data-toggle="toggle" data-on="Yes" data-off="No" data-size="mini">';
                },
                'filter' => [
                    0 => 'No',
                    10 => 'Yes'
                ]
            ],
                [
                'label' => 'Action',
                // 'attribute' => 'username',
                'format'=>'raw',
                'headerOptions' => ['style' => 'width:35px'],
                'contentOptions'=>[ 'style'=>'width: 35px'],
                'value' => function ($data) {

                    $executive = LeadExecutive::find()->where(['user_id'=>$data->id])->one();
                    if($executive)
                    {
                                if ($data->status==0) {
                                return '<div class="d-inline-block dropdown">
                                    <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                        <ul class="nav flex-column">
                                        <li class="nav-item">
                                                <a class="nav-link" href='.Url::base().'/master/lead-executive/view?id='.$executive->id.' data-method=post>
                                                   <i class="fa fa-eye"></i>
                                                    <span class="dj-icon-gap"> View</span>
                                                </a>
                                            </li>
                                             <li class="nav-item">
                                                <a class="nav-link" href='.Url::base().'/master/lead-executive/update?id='.$executive->id.' data-method=post>
                                                    <i class="fa fa-pencil-square"></i>
                                                    <span class="dj-icon-gap">Edit</span>
                                                </a>
                                            </li>
                                            <li class="nav-item">
                                                <a class="nav-link confirmdeletesalesorder" href='.Url::base().'/admin/user/delete?id='.$data->id.'  data-method=post>
                                                   <i class="fa fa-trash"></i>
                                                    <span class="dj-icon-gap"> Delete</span>
                                                </a>
                                            </li>
                                            
                                           
                                        </ul>
                                    </div>
                                </div>';
                            }
                            else
                            {
                                return '<div class="d-inline-block dropdown">
                                    <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                                    <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                        <ul class="nav flex-column">
                                        <li class="nav-item">
                                                <a class="nav-link" href='.Url::base().'/master/lead-executive/view?id='.$executive->id.' data-method=post>
                                                   <i class="fa fa-eye"></i>
                                                    <span class="dj-icon-gap"> View</span>
                                                </a>
                                            </li>
                                            <li class="nav-item">
                                                <a class="nav-link" href='.Url::base().'/master/lead-executive/update?id='.$executive->id.' data-method=post>
                                                    <i class="fa fa-pencil-square"></i>
                                                    <span class="dj-icon-gap">Edit</span>
                                                </a>
                                            </li>
                                            <li class="nav-item">
                                                <a class="nav-link confirmdeletesalesorder" href='.Url::base().'/admin/user/delete?id='.$data->id.'  data-method=post>
                                                   <i class="fa fa-trash"></i>
                                                    <span class="dj-icon-gap"> Delete</span>
                                                </a>
                                            </li>
                                            
                                           
                                        </ul>
                                    </div>
                                </div>';
                            }
                    }
                    else
                    {
                        if ($data->status==0) {
                        return '<div class="d-inline-block dropdown">
                            <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                            <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                <ul class="nav flex-column">
                                <li class="nav-item">
                                        <a class="nav-link" href='.Url::base().'/admin/user/view?id='.$data->id.' data-method=post>
                                           <i class="fa fa-eye"></i>
                                            <span class="dj-icon-gap"> View</span>
                                        </a>
                                    </li>
                                    <li class="nav-item">
                                                <a class="nav-link " href='.Url::base().'/admin/assignment/view?id='.$data->id.' data-method=post>
                                                    <i class="fa fa-list"></i>
                                                    <span class="dj-icon-gap">Assign</span>
                                                </a>
                                            </li>
                                    
                                    <li class="nav-item">
                                        <a class="nav-link confirmdeletesalesorder" href='.Url::base().'/admin/user/delete?id='.$data->id.'  data-method=post>
                                           <i class="fa fa-trash"></i>
                                            <span class="dj-icon-gap"> Delete</span>
                                        </a>
                                    </li>
                                    
                                   
                                </ul>
                            </div>
                        </div>';
                    }
                    else
                    {
                        return '<div class="d-inline-block dropdown">
                            <button type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" class="btn-shadow dropdown-toggle btn btn-info dj-action-btn">Action</button>
                            <div tabindex="-1" role="menu" aria-hidden="true" class="dropdown-menu dropdown-menu-right dj-action-drop">
                                <ul class="nav flex-column">
                                <li class="nav-item">
                                        <a class="nav-link" href='.Url::base().'/admin/user/view?id='.$data->id.' data-method=post>
                                           <i class="fa fa-eye"></i>
                                            <span class="dj-icon-gap"> View</span>
                                        </a>
                                    </li>
                                   <li class="nav-item">
                                                <a class="nav-link " href='.Url::base().'/admin/assignment/view?id='.$data->id.' data-method=post>
                                                    <i class="fa fa-list"></i>
                                                    <span class="dj-icon-gap">Assign</span>
                                                </a>
                                            </li>
                                  
                                    <li class="nav-item">
                                        <a class="nav-link confirmdeletesalesorder" href='.Url::base().'/admin/user/delete?id='.$data->id.'  data-method=post>
                                           <i class="fa fa-trash"></i>
                                            <span class="dj-icon-gap"> Delete</span>
                                        </a>
                                    </li>
                                    
                                   
                                </ul>
                            </div>
                        </div>';
                    }
                    }
                    
                    
                }
            ],
            ],
        ]);
        ?>
                               
                        </div>
                    </div>
                </div>


<?php ob_start();?>
 <script type="text/javascript">
$(function() {
    $('.deactivateuser').click(function(){
    var confirm = window.confirm("Are you sure you want to activate this user?");
    if (confirm == true)
    {
      // return true;
         var id = $(this).children('#deactivateuser').attr('value');
         // alert(id);
         // $.post('activate',{id:id},function(data){
         $.get('activate',{id:id},function(data) {
             
              });
    }
    else
    return false;
    })
    $('.activateuser').click(function(){
    var confirm = window.confirm("Are you sure you want to deactivate this user?");
    if (confirm == true)
    {
        var id = $(this).children('#activateuser').attr('value');
        // alert(id);
        $.get('deactivate',{id:id},function(data) {
             
              });
    }
    else
    return false;
    })
    $('.confirmdeletesalesorder').click(function(){
    var confirm = window.confirm("Are u sure you want to delete this user?");
    if (confirm == true)
    return true;
    else
    return false;
    })
});
</script>
<?php $this->registerJs(preg_replace('~^\s*<script.*>|</script>\s*$~ U', '', ob_get_clean()))?>